﻿Public Class frmIntfcMain
#Region "Miscellaneous code for form objects"
    Private Sub IntfcMain_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
        If LargeRunSet Then
            txtBatchfile.Enabled = True
            CmdBrowseBfile.Enabled = True
        End If
        Call SetIO()
    End Sub
#End Region
#Region "File browsing code"
    ' user can change locations and names of all input files
    Private Sub CmdBrowsePfile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdBrowsePfile.Click
        OpenFileDialog1.ShowDialog()
        parafile = OpenFileDialog1.FileName
        txtParafile.Text = parafile
    End Sub
    Private Sub CmdBrowseSfile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdBrowseSfile.Click
        OpenFileDialog2.ShowDialog()
        seedfile = OpenFileDialog2.FileName
        txtSeedfile.Text = seedfile
    End Sub
    Private Sub CmdBrowseCfile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdBrowseCfile.Click
        OpenFileDialog4.ShowDialog()
        scenariofile = OpenFileDialog4.FileName
        txtScenariofile.Text = scenariofile
    End Sub
    Private Sub CmdBrowseBfile_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdBrowseBfile.Click
        OpenFileDialog3.ShowDialog()
        batchfile = OpenFileDialog3.FileName
        txtBatchfile.Text = batchfile
    End Sub
    Private Sub CmdBrowseOfolder_Click(sender As System.Object, e As System.EventArgs) Handles CmdBrowseOfolder.Click
        FolderBrowserDialog1.ShowDialog()
        outputfolder = FolderBrowserDialog1.SelectedPath
        TxtOutputfolder.Text = outputfolder

        'Need to call SetOutput again because user changed the path for folder for output files 
        SetOutput()

    End Sub
#End Region
#Region "Finalizd and Run Buttons Code"
    Private Sub CmdFinalize_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdFinalize.Click
        Call ReadInputs()

        If cbxPrintDetails.Checked Then
            PrintSuppress = False
        Else
            PrintSuppress = True
        End If

        CmdBrowsePfile.Enabled = False
        CmdBrowseSfile.Enabled = False
        CmdBrowseCfile.Enabled = False
        CmdBrowseOfolder.Enabled = False
        GbxSite.Enabled = False
        GbxOutput.Enabled = False
        CmdFinalize.Enabled = False
        CmdRunBegin.Enabled = True
        CmdRunBegin.Focus()
    End Sub
    Private Sub CmdRunBegin_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdRunBegin.Click
        CmdRunBegin.Enabled = False
        Call MondrianMain()
    End Sub
    Private Sub CmdClose_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CmdClose.Click
        End   'Close all forms and end the program
    End Sub
#End Region
#Region "Called subroutines"
    Private Sub SetIO()
        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        '  Choose input files 
        '  This is called when the form IntfcMain is loaded
        '
        '  Here, defaults are set for user options.  Take care to ensure that default values
        ' here are the same as the defaults that appear on the form objects.
        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        OpenFileDialog1.FileName = txtParafile.Text
        parafile = OpenFileDialog1.FileName
        OpenFileDialog2.FileName = txtSeedfile.Text
        seedfile = OpenFileDialog2.FileName
        OpenFileDialog3.FileName = txtBatchfile.Text
        batchfile = OpenFileDialog3.FileName
        OpenFileDialog4.FileName = txtScenariofile.Text
        scenariofile = OpenFileDialog4.FileName
        FolderBrowserDialog1.SelectedPath = TxtOutputfolder.Text
        outputfolder = FolderBrowserDialog1.SelectedPath

        SetOutput()

    End Sub
    Private Sub SetOutput()
        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
        '  Set folder location and filenames for output files
        '  This is called from SetIO, using the default output folder path, 
        ' and called again if the user browses to select a different folder for output files 

        '  Output files are opened only once for the set of runs even where there are multiple runs.
        ' This allows all the results from multiple runs to be written in each file. 
        '~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

        outfile11 = outputfolder & "\MondrianResultsBGC.txt"
        outfile15 = outputfolder & "\MondrianResultsPGR.txt"
        outfile16 = outputfolder & "\MondrianResultsLFASpp.txt"
        outfile17 = outputfolder & "\MondrianResultsVis.txt"

    End Sub

#End Region
#Region "Menu items"

#End Region

End Class